Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
b2csa
/
{year}
/
{month}
GSTR-1A B2CSA
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/b2csa/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/b2csa/{year}/{month}"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/b2csa/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "timestamp": 1763446641000,
  "transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
  "data": {
    "status_cd": "1",
    "data": {
      "b2csa": [
        {
          "itms": [
            {
              "csamt": 0,
              "rt": 3,
              "txval": 54545,
              "iamt": 1636.35
            }
          ],
          "flag": "N",
          "pos": "34",
          "omon": "072017",
          "typ": "OE",
          "chksum": "b879d454f2a180149a5878bc3cc101d343fbcbfed2171a2bd5230b531a4f223b",
          "sply_ty": "INTER"
        }
      ]
    }
  }
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.

x-api-version
string
default:1.0.0

Compliance API version.

x-api-key
string
required

API key for identification.

Path Parameters

year
string
required

Return year, for example 2025.

month
string
required

Return month, for example 04.

Response

200 - application/json

Success

The response is of type object.